org.vertx.java.core.impl

## Class EventLoopContext

- java.lang.Object
- - org.vertx.java.core.impl.Context
  - - org.vertx.java.core.impl.EventLoopContext

    public class EventLoopContext
    extends Context

### Constructor Summary

Constructors
Constructor and Description
`EventLoopContext(java.util.concurrent.Executor bgExec, org.jboss.netty.channel.socket.nio.NioWorker worker)`

### Method Summary

Methods
`void` `execute(java.lang.Runnable task)`
`org.jboss.netty.channel.socket.nio.NioWorker` `getWorker()`

### Methods inherited from class org.vertx.java.core.impl.Context

`executeOnWorker, getCloseHook, getContext, getDeploymentHandle, getPathAdjustment, putCloseHook, reportException, runCloseHooks, setContext, setDeploymentHandle, setPathAdjustment, wrapTask`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EventLoopContext

    public EventLoopContext(java.util.concurrent.Executor bgExec,
                    org.jboss.netty.channel.socket.nio.NioWorker worker)

### Method Detail

#### execute

    public void execute(java.lang.Runnable task)

Specified by:
  `execute` in class `Context`

#### getWorker

    public org.jboss.netty.channel.socket.nio.NioWorker getWorker()